> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/get-started/faq/full-screen-button-disabled-on-iphone.md).

# Why is the full screen button hidden (disabled) on iOS devices

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

If you have used WebViewer on an iOS device (iPhone or iPad), you may have noticed the `fullscreen` button is hidden (disabled)

![](https://3532544125-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX9YnTSKIHvV7m0A36LbO%2Fuploads%2Fgit-blob-337b86b70f59ed6044e63e8a614a99582e2342c7%2Fa872a1d7902eb68cc3f1bb10119c0241232d1125-580x1011.png?alt=media)

The reason it's disabled is that the browser fullscreen API is actually [not supported on iPhones](https://caniuse.com/fullscreen/). Technically the API is supported on iPads, however iPad touch gestures will often cause fullscreen mode to be exited accidentally when panning around the document. Because of this WebViewer disables the `fullscreen` button on all iOS devices by default.

If needed on iPad (where the API is supported), you can still toggle the visibility of the `fullscreen` button using `instance.enableElements(['fullscreenButton'])`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/get-started/faq/full-screen-button-disabled-on-iphone.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
